Package org.apache.sling.cms.core.internal.jobs

## Class FileMetadataExtractorConsumer

- java.lang.Object
- - org.apache.sling.cms.core.internal.jobs.FileMetadataExtractorConsumer

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobConsumer`

    public class FileMetadataExtractorConsumer
    extends Object
    implements org.apache.sling.event.jobs.consumer.JobConsumer

Sling Job Consumer for extracting the metadata from a file

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`org.apache.sling.event.jobs.consumer.JobConsumer.AsyncHandler, org.apache.sling.event.jobs.consumer.JobConsumer.JobResult`

### Field Summary

Fields
`static org.slf4j.Logger` `log`
`static String` `TOPIC`

### Fields inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`PROPERTY_JOB_ASYNC_HANDLER, PROPERTY_TOPICS`

### Constructor Summary

Constructors
`FileMetadataExtractorConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.event.jobs.consumer.JobConsumer.JobResult` `process​(org.apache.sling.event.jobs.Job job)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    public static final org.slf4j.Logger log

#### TOPIC

    public static final String TOPIC

See Also:
  Constant Field Values

### Constructor Detail

#### FileMetadataExtractorConsumer

    public FileMetadataExtractorConsumer()

### Method Detail

#### process

    public org.apache.sling.event.jobs.consumer.JobConsumer.JobResult process​(org.apache.sling.event.jobs.Job job)

Specified by:
  `process` in interface `org.apache.sling.event.jobs.consumer.JobConsumer`